<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--  Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved. -->
<!--  Mybatis数据库持久层（业务层映射文件）：系统详情 -->
<!--  version: 1.0  -->
<!--  author:  maven-cctp-plugin    -->
<!--  date:  2021-12-31 10:53:10  -->
<mapper namespace="net.northking.cctp.dw.db.dao.CpProjectDetailDao">
    <select id="findTenantIds" resultType="java.lang.String">
            select
            distinct tenant_id
            from
            cp_project_detail
    </select>
    <select id="findByProjectIds" resultMap="BaseResultMap">
        select
        plan_amount
        ,start_time
        ,project_id
        ,detail_type
        from cp_project_detail where project_id in
        <foreach collection="midProjectInfos" separator="," close=")" open="(" item="midProjectInfo">
            #{midProjectInfo.projectId}
        </foreach>
    </select>
</mapper>